Date: Mon, 6 Oct 1997 09:41:08 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Serial console erratum
Sender: owner-linux-m68k@phil.uni-sb.de


I forgot this when migrating from 2.1.56 to 2.1.57:

--- linux-2.1.57/fs/proc/proc_tty.c.orig	Wed Sep 24 20:35:47 1997
+++ linux-2.1.57/fs/proc/proc_tty.c	Thu Sep 11 22:30:56 1997
@@ -49,8 +49,10 @@
 		case TTY_DRIVER_TYPE_SYSTEM:
 			if (p->subtype == SYSTEM_TYPE_TTY)
 				type = "system:/dev/tty";
+			else if (p->subtype == SYSTEM_TYPE_SYSCONS)
+				type = "system:console";
 			else if (p->subtype == SYSTEM_TYPE_CONSOLE)
-				type = "system:console";
+				type = "system:vtmaster";
 			else
 				type = "system";
 			break;

Jes: don't worry, davem got the correct patch.

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

